Innledning

Med HP Driver Deployment Utility (DDU) kan en administrator kan opprette en driverinstallasjonspakke for uovervåket installasjon for sluttbrukerne. Dette verktøyet støtter tillegging av skriverdrivere i Windows’ driverbutikk og opprettelse av oppføringer i skriverens mappe. Driver Deployment Utility støtter skriverdrivere som er utviklet for bruk i Microsofts veiviser for skriverinstallasjon. Alle Microsofts sertifiseringsbegrensninger og -varslinger gjelder.

Brukergrensesnittet er delt opp i tre deler:

  1. Pakkekilde beskriver pakketypen og driverplasseringen du vil opprette
  2. Pakkemål identifiserer navnet og plasseringen til installasjonspakken
  3. Opprett pakke starter pakkeopprettelsesprosessen


Pakkekilde

Driverkatalog

Bruk Velg driver…-knappen for å velge en INF-fil i driverkatalogen ved å bla gjennom eller skrive den inn. Du bør bare ha én driverpakke i denne katalogen, fordi dette verktøyet vil pakke inn alle filene som finnes i denne katalogen (også underkataloger) i det innlastbare objektet. Hvis du har lastet ned en komprimert driverpakke, må du utvide den før du bruker dette verktøyet.

Noen ganger kan du ha flere INF-filer for drivere i katalogen (noen ganger er én for farge- og en annen for svart/hvitt-skrivere). I slike tilfeller vil en tilleggsdialog la deg velge hvilken driver som skal pakkes.

Du vil også få en advarsel hvis katalogen er for stor. Dette er for å forhindre at det pakkes mer enn én driver. Du kan velge å fortsette hvis katalogen inneholder alle filene du ønsker eller trenger.

Når driverkatalogen er valgt og én driver er funnet, vises informasjon om katalogen og driveren.

For drivere som støtter forhåndskonfigurering, vil avmerkingsboksen nedenfor aktiveres. Hvis den er avmerket, vil en konfigurasjonsdialog kjøre etter at Opprett pakke-knappen er valgt.

Installasjonstype

Forhåndslast driverne er alternativet som skal velges av brukere som bruker en direkte tilkobling, for eksempel en USB-kabel. En fremtidig Plug and Play-handling vil være nødvendig for å installere driveren, men alle de nye filene vil installeres i Windows-driverbutikken av denne pakken for fremtidig bruk. MERK: Hvis flere drivere blir funnet for en enhet, vil operativsystemet avgjøre hvilken driver som samsvarer best med Plug and Play-handlingen, eller vise brukeren en dialog for valg av driver.

Det innlastbare objektet kjører med en fremdriftsdialogboks som standard. Du kan deaktivere fremdriftsdialogboksen ved å kjøre det innlastbare objektet med en "/q" i kommandolinjen. Hvis du vil be sluttbrukeren om å koble til skriveren på slutten av installasjonen, velger du avmerkingsboksen Vis en melding om å koble til skriveren.

For skrivere som bruker en nettverkstilkobling, velger du alternativet Opprett nettverksporten og installasjonsdriveren. Nettverksinnstillinger-knappen aktiveres, og du må klikke på den for å angi de påkrevde nettverksinnstillingene.

Nettverksinnstillinger

Du må identifisere nettverkskriveren på en eller flere av de følgende måtene. Dette verktøyet kommuniserer ikke med enheten for å fastslå om innstillingene er gyldige, men den foretar syntakskontroller. (Hvis enheten skal kunne registreres på nytt, må du sørge for at maskinvareadressen er angitt.)

IP-adresse:

Angi IPv4- eller IPv6-adressen til skriveren

Maskinvareadresse:

Angi maskinvareadressen til skriveren

Vertsnavn:

Angi vertsnavnet til skriveren

Følgende nettverksinnstillinger er ekstra. Du kan godta standardverdiene som er angitt på forhånd, eller endre dem.

Navn på port:

Dette er navnet på nettverksporten som blir opprettet. Hvis navnet allerede finnes, vil et tall legges til for å gjøre det unikt.

Skrivernavn:

Dette er skrivernavnet som vil vises i skriverens mappe. Hvis navnet allerede finnes, vil et tall legges til for å gjøre det unikt.

Angi denne skriveren som standard:

Ja - vil gjøre denne skriveren til standardskriver når du skriver ut fra andre programmer.

Nei - vil beholde den gjeldende standardskriveren, med mindre dette er den eneste skriveren som er installert.

Del denne skriveren:

Ja - vil la andre bruke denne skriveren.

Delingsnavn:

Delingsnavnet til skriveren.Bare aktivert hvis Del denne skriveren er Ja.Hvis navnet allerede finnes, vil et tall legges til for å gjøre det unikt.


Pakkemål

Velg Lagre som…-knappen for å angi navnet og plasseringen til utmatingspakken.Verktøyet vil opprette pakken i den midlertidige katalogen og deretter flytte den til den endelige plasseringen.Pakken vil bestå av to filer som må leveres sammen:en EXE- og en CAB-fil.

En samsvarende XML-beskrivelsesfil, som innholder pakkedetaljene, blir også kopiert til den endelige plasseringen.XML-pakken er bare til informasjon, og brukes ikke av DDU under kjøringen.


Opprett pakke

Velg Opprett pakke-knappen når du har angitt all informasjonen over.Denne knappen vil være deaktivert til du har angitt den påkrevde informasjonen.Når den er valgt, vil Avbryt-knappen og fremdriftsviseren aktiveres.

Hvis du vil stoppe opprettelsen av pakken, velger du Avbryt-knappen.

Det innlastbare objektet vil kjøre med en fremdriftsdialogboks, og hvis det ble bedt om, en brukermelding for en skriver med direkte tilkobling.Hvis det oppstår en feil under utførelsen, vises en feilmelding.Hvis du vil skjule feilmeldingen, må du merke av for Skjul alle feilmeldinger for sluttbrukere.


Ytterligere merknader:

Hvis du vil lukke dette programmet, bruker du lukkeknappen for Windows øverst til høyre.


Støttede operativsystemer

Microsoft Windows 7

Microsoft Windows 7 64-bits versjon

Microsoft Windows Server 2008 R2 64-bits versjon

Microsoft Windows 8

Microsoft Windows 8 64-bits versjon

Microsoft Windows Server 2012 64-bits versjon

Microsoft Windows Server 2012 R2 64-bits versjon

Microsoft Windows 8.1

Microsoft Windows 8.1 64-bits versjon

Microsoft Windows Server 2016 64-biters utgave

Microsoft Windows 10

Microsoft Windows 10 64-biters utgave

Microsoft Windows Server 2019 64-biters utgave


Kommandolinjealternativer

Sluttbrukerpakken kan endres ved å legge til kommandolinjebrytere. Kommandolinjebryterne kan kombineres hvis de atskilles med mellomrom. En feilmelding vises hvis kommandolinjen inneholder en feil, for eksempel et ugyldig tegn eller feil formatering. Ugyldige kommandolinjebrytere ignoreres. Du får også tilgang til kommandolinjebeskrivelsene (på norsk) nedenfor hvis du kjører sluttbrukerpakken med en "/?".

Forhåndslastingspakker støtter følgende kommandolinjealternativer:

/? vis kommandolinjeinformasjon (bare på engelsk)

/q skjul fremdriftsviseren

/p be brukeren koble til skriveren

/s skjul feilmeldinger for sluttbrukeren

Nettverksskriverpakker støtter følgende kommandolinjealternativer:

/? vis kommandolinjeinformasjon (bare på engelsk)

/q skjul fremdriftsviseren

/s skjul feilmeldinger for sluttbrukeren

/ip <ip-adresse> bruk den angitte IP-adressen til å identifisere skriveren, f.eks. /ip 120.25.5.56

/hw <maskinvareadresse> bruk den angitte maskinvareadressen til å identifisere skriveren, f.eks. /hw 0001E6299128

/hn <vertsnavn> bruk det angitte vertsnavnet til å identifisere skriveren, f.eks. /hn Mittvertsnavn

Vertsnavnet kan bestå av maksimalt 255 tegn, og kan bare inneholde følgende tegn:A–Z, a–z, 0–9 og bindestrek (-).

/pn <portnavn> bruk det angitte navnet som portnavn, f.eks. /pn HPPort

Portnavnet kan ikke inneholde mellomrom, og kan bestå av maksimalt 128 tegn.

/n "<skrivernavn>" bruk det angitte navnet som navn på skriveren, f.eks. /n "HP LaserJet 8150"

Skrivernavnet må stå i anførselstegn, kan maksimalt bestå av 40 tegn og kan ikke inneholde noen av følgende spesialtegn: ! # ,

/d angi denne skriveren som standard

/sn "<delingsnavn>" aktiver deling og bruk det angitte navnet som delingsnavn for skriveren, f.eks. /sn "Min delte HP LaserJet 8150"

Delingsnavnet må stå i anførselstegn, kan maksimalt bestå av 80 tegn og kan ikke inneholde noen av følgende spesialtegn: / \ : ; “ ? * + = < > [ ]

© Copyright 2019 HP Development Company, L.P.